Page 23 of 25 FirstFirst ... 313141516171819202122232425 LastLast
Results 221 to 230 of 243
Discuss Custom Carrier Bundle for iPhone Firmware 2.2.1 & PwnageTool/Quickpwn 2.2.5 (Mac&Win) at the PwnageTool - Hackint0sh.org; Originally Posted by volkspost You see it in Terminal, try the command ls -al Volks, ...
  1. #221
    Rookie Array

    Join Date
    Aug 2007
    Posts
    19
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by volkspost View Post
    You see it in Terminal, try the command
    ls -al
    Volks,

    There is no .DS_Store inside the custom carrier bundle in my Pwnage Tool.app


  2. #222
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    I don't know of any reason then, sorry. it's working all over the place. Sorry, I have got no more ideas how to solve your problem.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  3. #223
    Rookie Array

    Join Date
    Aug 2007
    Posts
    19
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Nevermind. Thanks for your great effort in the community. Will post it back once I found a solution. You rock Volks! Enough said

  4. #224
    Senior Professional Array

    Join Date
    Sep 2007
    Location
    Atlanta, GA
    Posts
    144
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    Hello,

    I am on the latest firmware 2.2.1, through pwnage 2.2.5 on a mac, with an unlocked phone on AT&T not on an official iphone plan, and I keep getting this update carrier settings, but it come back with an error when I attempt it, an link here to explain what I must do to rid myself of this annoying messaGE EVERYTIME I SYNC?


    Thanks for any insight....

  5. #225
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by kkanuck View Post
    Hello,

    I am on the latest firmware 2.2.1, through pwnage 2.2.5 on a mac, with an unlocked phone on AT&T not on an official iphone plan, and I keep getting this update carrier settings, but it come back with an error when I attempt it, an link here to explain what I must do to rid myself of this annoying messaGE EVERYTIME I SYNC?
    i am not sure but I think, the reason is that Apple/AT&T "think" that you are on a legit iPhone plan. cause for using a legit plan or your plan the MCC/MNC is the same, thses guys want to update your carrier bundle.
    As far as i know, they are comparing version numbers of the carrier bundle (2.9 at fw 2.2.1). I dont know how to make iTunes avoid offering the upgrade. If they check the bundle version, maybe you could just use a plain text editor or Property List Editor (on Mac), open the file Info.plis inside the AT&T bundle and set the version to 3.0 or 3.5. I cant test if this is working but it would be my best guess ;-)
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2


  6. #226
    Senior Professional Array

    Join Date
    Sep 2007
    Location
    Atlanta, GA
    Posts
    144
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    14

    Default

    Quote Originally Posted by volkspost View Post
    i am not sure but I think, the reason is that Apple/AT&T "think" that you are on a legit iPhone plan. cause for using a legit plan or your plan the MCC/MNC is the same, thses guys want to update your carrier bundle.
    As far as i know, they are comparing version numbers of the carrier bundle (2.9 at fw 2.2.1). I dont know how to make iTunes avoid offering the upgrade. If they check the bundle version, maybe you could just use a plain text editor or Property List Editor (on Mac), open the file Info.plis inside the AT&T bundle and set the version to 3.0 or 3.5. I cant test if this is working but it would be my best guess ;-)
    Thanks for the insight....


    Maybe next firmware upgrade or pwnage will make it go away.....??

  7. #227
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by kkanuck View Post
    Thanks for the insight....
    Maybe next firmware upgrade or pwnage will make it go away.....??
    I would guess it will. Almost any big updated had a new version of the carrier bundle. The behavior you experience is cool, if you are on a legit plan. Apples partners are able lets say - if they change apn or services - to provide them online while no firmware upgrade is expected in the near future.
    It's just annoying for us ;-)

    I will try to check out the differences, i guess I might have the source where apple has those bundles sitting on their servers, just have to digg a bit.

    v.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  8. #228
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Yep, my guess was true.

    the carrier bundle that comes with Firmware 2.2.1 is of version 2.9, to be found in Info.plist, a file inside the carrier bundle for AT&T.

    You can check it out if you open "Settings > General >About" and look for "Carrier". it should display the carrier you use followed by 2.9. The iPhone gets the string from the above mentioned Info.plist.

    i have been digging on Apples servers where they store the firmware files that are used by itunes. The server also hosts carrier bundles taht are newer than the onec delivered with the latest firmware version.

    What happens now is that while iTunes connects to the server, the firmware versions get compared to the one installed on your iPhone, same with the carrier bundle. Thats why iTunes offers to update the bundle.

    On the server apple hosts "MobileDeviceCarrierBundles ATT_US BuildVersion 3.1".

    The bundle will be integrated into the next fw update, they always choose this way.

    As I said if you are familiar editing the files inside the carrier bundles you could just edit 2.9 to 3.1 in Info.plist and the message wont appear again ;-)
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  9. #229
    Newbie Array

    Join Date
    Apr 2009
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I know this post is for 2.2.1 fw, but playing with 3.0 b2, I have found that instructions inside custom carrier bundle, set logo and some other parameters, while apns settings are setted only after a sim change (phisical), not only after roaming.

    Can somebody check what happen on 2.2.1?

    Tks :-)
    Last edited by Icchesetir; 04-12-2009 at 10:20 PM.

  10. #230
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by Icchesetir View Post
    I know this post is for 2.2.1 fw, but playing with 3.0 b2, I have found that instructions inside custom carrier bundle, set logo and some other parameters, while apns settings are setted only after a sim change (phisical), not only after roaming.

    Can somebody check what happen on 2.2.1?

    Tks :-)
    We will use a complete new mechanism in 3 applying custom carrier bundles. when doing so changes will immediately be active.
    Check my post here:
    http://www.hackint0sh.org/forum/f127/68717.htm

    I will be editing the service here for firmware 2.2.1 during the next two weeks and update to the new formats for firmware 3.0 as soon as it goes public in summer.
    It is way easier, Apple-like and even does not need a jailbreak or PwnageTool.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2


 

 

Similar Threads

  1. [1.1.3/1.1.4](all)[Tutorial] Create custom carrier bundle in a minute
    By volkspost in forum Genius Bar - HowTos, Guides and Tutorials
    Replies: 23
    Last Post: 11-20-2009, 10:24 PM
  2. Replies: 1
    Last Post: 09-23-2008, 01:56 PM
  3. MacNN: PwnageTool and QuickPwn jailbreak 2.1 firmware
    By hackint0sh in forum Latest Headlines
    Replies: 0
    Last Post: 09-15-2008, 05:30 PM
  4. Replies: 12
    Last Post: 05-14-2008, 08:27 AM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 02:36 PM.
twitter, follow us!